org.apache.felix.ipojo.extender.internal

## Class DefaultJob<T>

- java.lang.Object
- - org.apache.felix.ipojo.extender.internal.DefaultJob<T>

All Implemented Interfaces:
  java.util.concurrent.Callable<T>, Job<T>, org.osgi.framework.BundleReference

    public abstract class DefaultJob<T>
    extends java.lang.Object
    implements Job<T>

A callable object implementing Bundle Reference. It makes the Bundle object accessible by the processing job. This class is intended to be extended.

### Constructor Summary

Constructors
`protected` `DefaultJob(org.osgi.framework.Bundle bundle, java.lang.String jobType)` Creates the ReferenceableCallable instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.osgi.framework.Bundle` `getBundle()` Gets the bundle object.
`java.lang.String` `getJobType()` The `jobType` is used to describe what is this job about.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.concurrent.Callable

`call`

### Constructor Detail

#### DefaultJob

    protected DefaultJob(org.osgi.framework.Bundle bundle,
                         java.lang.String jobType)

Creates the ReferenceableCallable instance.

Parameters:
  `bundle` - the associated bundle
  `jobType` - job type identifier

### Method Detail

#### getBundle

    public org.osgi.framework.Bundle getBundle()

Gets the bundle object.

Specified by:
  `getBundle` in interface `org.osgi.framework.BundleReference`
Returns:
  the bundle

#### getJobType

    public java.lang.String getJobType()

Description copied from interface: `Job`
The `jobType` is used to describe what is this job about.

Specified by:
  `getJobType` in interface `Job<T>`
Returns:
  the job type identifier